import 'dart:io';
import 'package:mvvm_page_generator_custom/mvvm_page_generator_custom.dart';
import 'package:test/test.dart';

void main() {
  group('Verifications group of tests', () {
    var obj = MVVMPageGenerator(className: 'home', path: '/HomePages/');

    test('Testing if verifyClassName function works fine', () {
      assert(obj.verifyClassName() == true);
    });

    var obj1 =
        MVVMPageGenerator(className: 'homeScreenPage', path: '/HomePages/');

    test('Testing if verifyClassName function works fine with large names', () {
      assert(obj1.verifyClassName() == true);
    });
    // test('Testing if verifyPath function works fine', () {
    //   assert(obj.verifyPath() == true);
    // });
  });

  group('Generators group of tests', () {
    var obj = MVVMPageGenerator(className: 'home', path: 'lib');
    obj.generatePages();

    test('Testing if viewModel is created', () async {
      assert(await File('lib/Home/ViewModel/home_viewmodel.dart').exists());
    });
    test('Testing if service is created', () async {
      assert(await File('lib/Home/Service/home_service.dart').exists());
    });
    test('Testing if view is created', () async {
      assert(await File('lib/Home/View/home_view.dart').exists());
    });
  });
}
